Brave Search
Access the Brave search engine results directly through our efficient Piloterr service for reliable data scraping.
Credit cost: 1 credit per call
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
The search query to execute on Brave Search. Supports all standard Brave search operators.
Examples:
machine learning— standard keyword searchsite:github.com scraper— restrict results to a specific domainintitle:"growth hacking"— match the page titleinurl:blog python— match part of the URL
Example:
best programming languages 2024page?number
Page number of results to retrieve. Used for pagination.
1: First page (default)2: Second page3: Third page, etc.
Default
"1"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.piloterr.com/v2/brave/search?query=string"{
"organic_results": [
{
"link": "https://survey.stackoverflow.co/2024/technology",
"title": "Technology | 2024 Stack Overflow Developer Survey",
"domain": "survey.stackoverflow.co",
"snippet": "JavaScript, Python and SQL are all highly-desired and admired programming languages, but Rust continues to be the most-admired programming language with an 83% score this year.",
"position": 1,
"displayed_link": "survey.stackoverflow.co › 2024 › technology",
"snippet_matched": []
},
{
"link": "https://www.tiobe.com/tiobe-index/",
"title": "TIOBE Index - TIOBE",
"domain": "www.tiobe.com",
"snippet": "1 day ago - The complete top 50 of programming languages is listed below.",
"position": 2,
"displayed_link": "tiobe.com › home › tiobe index",
"snippet_matched": []
},
{
"link": "https://spectrum.ieee.org/top-programming-languages-2024",
"title": "Top Programming Languages 2024 - IEEE Spectrum",
"domain": "spectrum.ieee.org",
"snippet": "September 3, 2024 - At the top, Python continues to rank first. SQL, Java, C++, Typescript, C, Rust, Swift, PHP...",
"position": 3,
"displayed_link": "spectrum.ieee.org › top-programming-languages-2024",
"snippet_matched": []
}
],
"search_parameters": {
"q": "best programming languages 2024",
"page": 0,
"engine": "brave"
}
}{
"error": "Bad Request"
}{
"error": "Invalid API Key"
}{
"error": "Payment required"
}{
"error": "Rate limit exceeded for the API key: quota monthly"
}{
"error": "Internal Error"
}